000031529 - Enforcing TLS or a specific version of TLS in the Java keyclient or Java token client for RSA Data Protection Manager

Document created by RSA Customer Support Employee on Jun 14, 2016Last modified by RSA Customer Support Employee on Apr 21, 2017
Version 2Show Document
  • View in full screen mode

Article Content

Article Number000031529
Applies ToRSA Product Set: Data Protection Manager (DPM), Java Key Client Data Protection Manager (DPM) Java Token Client
IssueThe DPM Key Client and Token Client need to be configured to use TLS or a specific version of TLS.
ResolutionThe version of TLS used by the Java Key Client or Token Client is dependent upon the JRE and its' configuration. The following is an example of command line arguments you can use to force the key client to use TLSv1.2 and disable SSL, TLSv1.0, and TLSv1.1:
 
-Dhttps.protocols=TLSv12

For more detail, consult the documentation included with your JRE.

Attachments

    Outcomes